@keyframes flip-front {
    0% {
        transform: rotate3d(0, 1, 0, 0deg);
    }
    100% {
        transform: rotate3d(0, 1, 0, 180deg);
    }
}

@keyframes flip-back {
    0% {
        transform: rotate3d(0, 1, 0, -180deg);
    }
    100% {
        transform: rotate3d(0, 1, 0, 0deg);
    }
}

@keyframes flip-front_mob {
    0% {
        transform: rotate3d(0, 1, 0, 0deg);
        //max-height: 100vh;
    }
    20% {
        //max-height: 80vh;
    }
    33% {
        transform: rotate3d(0, 1, 0, 0deg);
    }
    100% {
        transform: rotate3d(0, 1, 0, 180deg);
        //max-height: 80vh;
    }
}

@keyframes flip-back_mob {
    0% {
        transform: rotate3d(0, 1, 0, -180deg);
    }
    33% {
        transform: rotate3d(0, 1, 0, -180deg);
    }
    100% {
        transform: rotate3d(0, 1, 0, 0deg);
    }
}

.flip {
    &__front,
    &__back {
        backface-visibility: hidden;
        transform-style: preserve-3d;
        * {
            backface-visibility: hidden;
            transform: rotate3d(0, 0, 0, 0deg);
        }
    }
    &__front {
        z-index: 2;
        transform: rotate3d(0, 1, 0, 0deg);
    }
    &__back {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        transform: rotate3d(0, 1, 0, -180deg);
        display: flex;
        justify-content: center;
        align-items: center;
    }

    &_in &__back {
        @media @mq_phone_ {
            animation: flip-back @duration_l both;
        }
        @media @mq_phone {
            animation: flip-back_mob .75s ease both;
        }
    }
    &_in &__front {
        @media @mq_phone_ {
            animation: flip-front @duration_l both;
        }
        @media @mq_phone {
            animation: flip-front_mob .75s ease both;
        }
    }

    &_out &__back {
        @media @mq_phone_ {
            animation: flip-back @duration_l both reverse;
        }
        @media @mq_phone {
            animation: flip-back_mob .75s ease both reverse;
        }
    }
    &_out &__front {
        @media @mq_phone_ {
            animation: flip-front @duration_l both reverse;
        }
        @media @mq_phone {
            animation: flip-front_mob .75s ease both reverse;
        }
    }

    &_active &__front {
        transform: rotate3d(0, 1, 0, 180deg);
    }
    &_active &__back {
        transform: rotate3d(0, 1, 0, 0deg);
    }

    &__box {
        perspective: 100vmax;
        transform-style: preserve-3d;
        position: relative;
        backface-visibility: hidden;
        transform: rotate3d(0, 0, 0, 0deg);
    }
}
